Bug 1010857 - Review Request: keyrings-filesystem - Keyrings filesystem layout
Review Request: keyrings-filesystem - Keyrings filesystem layout
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1009997 1009998
  Show dependency treegraph
 
Reported: 2013-09-23 04:27 EDT by Sandro Mani
Modified: 2013-10-03 22:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: keyrings-filesystem-1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-03 21:54:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sandro Mani 2013-09-23 04:27:46 EDT
http://smani.fedorapeople.org/review/keyrings-filesystem.spec<spec info here>
SRPM URL: http://smani.fedorapeople.org/review/keyrings-filesystem-1-1.fc21.src.rpm
Description: Keyrings filesystem layout
Fedora Account System Username: smani
Comment 1 Mario Blättermann 2013-09-24 16:29:31 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5977994

$ rpmlint -i -v *keyrings-filesystem.noarch: I: checking
keyrings-filesystem.noarch: W: no-url-tag
The URL tag is missing.

keyrings-filesystem.noarch: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

keyrings-filesystem.src: I: checking
keyrings-filesystem.src: W: no-url-tag
The URL tag is missing.

2 packages and 1 specfiles checked; 0 errors, 3 warnings.


Of course we have no URL tag because there are no sources and no upstram project, so we also don't have docs.

I omit here the usual checklist for reviews due to the nature of this package. Just a few comments:

* Spec file is legible.
* Licensing under Public Domain is approved by Fedora.
* rpm is added as a runtime requirement to own the folder /etc/rpm/.
* Macros are used consistently.
* Package builds properly in Mock (see the Koji build)
* Filenames are utf-8.


----------------

PACKAGE APPROVED

----------------
Comment 2 Sandro Mani 2013-09-24 16:41:53 EDT
Thanks for the review! Let me know if I can review anything in exchange.

New Package SCM Request
=======================
Package Name: keyrings-filesystem
Short Description: Keyrings filesystem layout
Owners: smani
Branches: f19 f20
InitialCC:
Comment 3 Gwyn Ciesla 2013-09-25 08:15:21 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-09-25 09:38:23 EDT
keyrings-filesystem-1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/keyrings-filesystem-1-1.fc20
Comment 5 Fedora Update System 2013-09-25 09:39:09 EDT
keyrings-filesystem-1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/keyrings-filesystem-1-1.fc19
Comment 6 Fedora Update System 2013-09-26 02:03:13 EDT
keyrings-filesystem-1-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 7 Fedora Update System 2013-10-03 21:54:23 EDT
keyrings-filesystem-1-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 8 Fedora Update System 2013-10-03 22:00:47 EDT
keyrings-filesystem-1-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.